import getLocale from '@utils/getLocale';

export const locale = getLocale();

const messages = {
  'fr-FR': {
    OK: 'OK',
    SUBMIT: 'Valider',
    SELECT: 'Sélectionner',
    DELETE: 'Supprimer',
    EDIT: 'Éditer',
    CREATE_ADDRESS: 'Ajouter une adresse',
    EDIT_AN_ADDRESS: 'Éditer une adresse',
    CLOSE: 'Fermer',
    CHOOSE: 'Choisir',
    CHOOSEN: 'Sélectionnée',
    UNDERSTOOD: "J'ai compris",
    YOUR_ORDER: 'Votre commande',
    CHOOSE_DELIVERY_MODE: 'Choisir mon mode de livraison',
    DELIVERY_MODE: 'Mode de livraison',
    DELIVERY_GENERAL: 'Livraison',
    PICKUP_DELIVERY: 'Livraison en point relais',
    CHOOSE_DELIVERY_ADDRESS: 'Choisir mon adresse de livraison',
    CHOOSE_BILLING_ADDRESS: 'Choisir mon adresse de facturation',
    CHOOSE_DELIVERY_PROVIDER: 'Choisir mon service de livraison',
    PAYMENT_MODE: 'Mode de paiement',
    BILLING_ADDRESS: 'Adresse de facturation',
    VALIDATE_CHECKOUT: 'Valider ma commande',
    TOTAL_UNTAXED: 'Total HT',
    DELIVERY: 'Livraison à domicile',
    BILLING: 'Facturation',
    COMMENTS: 'Commentaire',
    PAYMENT: 'Paiement',
    TAXES: 'TVA & taxes',
    DISCOUNT: 'Réduction',
    TOTAL: 'Total (TVA incluse)',
    CART_EMPTY: 'Votre panier est vide',
    CHOOSE_ADDRESS: 'Choisir cette adresse',
    SELECT_AS_DEFAULT_ADDRESS: 'Choisir cette adresse comme adresse par défaut',
    DEFAULT_ADDRESS: 'adresse par défaut',
    OTHER_ADDRESS: 'Autre adresse ?',
    SAME_ADDRESS: "Identique à l'adresse de livraison",
    SELECT_BILLING_ADDRESS: 'Sélectionnez une adresse de facturation',
    SELECT_DELIVERY_ADDRESS: 'Sélectionnez une adresse de livraison',
    TELEPHONE_CHECK: 'Vérification de votre numéro de téléphone',
    CHOOSE_MODULE: 'Choisir un module de livraison',
    ADD_COMMENT: 'Ajouter un commentaire à votre commande',
    YOUR_COMMENT: 'Votre commentaire',
    DELIVERY_AND_BELLING: 'Livraison et facturation',
    IGNORE: 'Ignorer',
    NO_COMMENT: 'Pas de commentaire',
    ACCEPT_CGV: "J'accepte les conditions générales de vente",
    ACCEPT: "J'accepte les",
    CGV: 'conditions générales de vente',
    NO_RELAY_POINT: 'Aucun point relais disponible',
    ADD_TO_CART: 'Ajouter au panier',
    ERROR_ADD_CART: "Erreur lors de l'ajout au panier.",
    TRY_LATER: 'Veuillez réessayer plus tard',
    PRODUCT_UNAVAILABLE: 'Produit indisponible',
    HELLO: 'Bonjour',
    ACCOUNT: 'Mon profil',
    MY_ORDERS: 'Mes commandes',
    MY_ADDRESSES: 'Mes adresses',
    DECONNECTION: 'Me déconnecter',
    LOGIN: 'Me connecter',
    NEW_CUSTOMER: 'Nouveau client ?',
    ALREADY_CUSTOMER: 'Déjà client ?',
    CREATE_ACCOUNT: 'Créer un compte',
    SUBMIT_CART: 'Commander',
    COUPON: 'Code promo',
    MANDATORY: 'Requis',
    PASSWORD: 'Mot de passe',
    EMAIL: 'E-mail',
    QUANTITY: 'Quantité',
    PICKUP: 'Livraison en point relais',
    FREE: 'Offert',
    FORGET_PASSWORD: 'Mot de passe oublié',
    LABEL_LABEL: "Intitulé de l'adresse",
    CIVILITY_TITLE_LABEL: 'Civilité',
    FIRSTNAME_LABEL: 'Prénom',
    LASTNAME_LABEL: 'Nom',
    COMPANY_LABEL: 'Nom de la société',
    ADDRESS_1_LABEL: 'Adresse',
    ADDRESS_2_LABEL: "Complément d'adresse",
    ADDRESS_3_LABEL: 'Adresse fin',
    ZIPCODE_LABEL: 'Code postal',
    CITY_LABEL: 'Ville',
    COUNTRY_LABEL: 'Pays',
    CELLPHONE_LABEL: 'Téléphone mobile',
    PHONE_LABEL: 'Téléphone fixe',
    WARNING: 'Attention',
    NO_PAYMENT_MODE_AVAILABLE: "Aucun moyen de paiement n'est disponible",
    NO_DELIVERY_MODE_AVAILABLE: "Aucun moyen de livraison n'est disponible",
    FIND_RELAY: 'Trouver un point relais',
    INCORRECT_ZIPCODE: 'Le code postal est incorrect',
    COUPON_ADDED: 'Le code promo a été ajouté',
    LOADING: 'Chargement...',
    NOTHING_TO_PAY: "Vous n'avez rien à régler pour cette commande",
    KEEP_SHOPPING: 'Continuer vos achats',
    UPDATE: 'Modifier',
    YOU_USING_COUPONS: 'Vous utilisez les codes promo suivant :',
    YOU_USING_COUPON: 'Vous utilisez le code promo suivant :',
    CLICK_TO_CLEAR_COUPONS: 'Supprimer tous les codes promo',
    YOUR_CART: 'Votre panier',
    DELIVERY_FOOTER: 'Livraison',
    NO_PICKUP_POINT_LOADED:
      'Nous ne pouvons pas afficher la liste des points relais disponibles. Veuillez selectionner un autre service de livraison.',
    ERROR: 'Une erreur est survenue',
    CONFIRM_DELIVERY: 'Valider votre mode de livraison',
    CONFIRM_INVOICE: 'Valider votre adresse de facturation',
    CONFIRM_PAIEMENT: 'Finaliser votre commande',
    CONTACT_NUMBER: 'Votre numéro de contact',
    VALID_NUMBER_PHONE:
      'Ce numéro de contact est valide, cliquez sur "Confirmer".',
    INVALID_NUMBER_PHONE: "Ce numéro de contact n'est pas valide",
    ERROR_DURING_UPDATE: 'erreur lors de la mise à jour',
    NUMBER_UPDATED: 'Numéro de contact mis à jour',
    NOTICE_PHONE_CHECK:
      'Un numéro de contact est nécessaire afin de vous assurer le meilleur suivi de livraison possible.',
    CONFIRM: 'Confirmer',
    RECAP_ORDER: 'Récapitulatif de commande',
    NEXT: 'Suivant',
    NO_DELIVERY_MODULE_MESSAGE:
      "Aucun moyen de livraison n'est disponible pour l'instant. Veuillez réessayer plus tard ou nous contacter.",
    SEARCH: 'Recherche',
    CLOSE_CART: 'Fermer le panier',
    IN_STOCK: 'En stock',
    OUT_OF_STOCK: 'Produit hors stock',
    INVALID_COMBINATION: 'Combinaison invalide',
    INCLUDING_TAXES: 'TVA incluse',
    UNIT_PRICE: 'Prix unitaire',
    REQUIRED: 'requis',
    MANDATORY_FIELDS: '* Champs obligatoires',
    VISUAL_OF_CART: 'Visuel du panier',
    PRODUCTS: 'Produits',
    CATEGORIES: 'Catégories',
    NO_MATCHING_CATEGORIES: 'Aucune categorie correspondantes.',
    NO_MATCHING_PRODUCTS: 'Aucun Produit correspondant.'
  },
  'en-US': {
    OK: 'OK',
    SUBMIT: 'Submit',
    SELECT: 'Select',
    DELETE: 'Delete',
    EDIT: 'Edit',
    CREATE_ADDRESS: 'Create an address',
    EDIT_AN_ADDRESS: 'Edit an address',
    CLOSE: 'Close',
    CHOOSE: 'Choose',
    CHOOSEN: 'Choosen',
    TOTAL_UNTAXED: 'Total w/o tax',
    CHOOSE_DELIVERY_MODE: 'Choose delivery mode',
    DELIVERY_FOOTER: 'Delivery',
    PICKUP_DELIVERY: 'Pickup',
    CHOOSE_DELIVERY_ADDRESS: 'Choose your delivery address',
    CHOOSE_BILLING_ADDRESS: 'Choose your billing address',
    CHOOSE_DELIVERY_PROVIDER: 'Choose your delivery provider',
    PAYMENT_MODE: 'Payment mode',
    BILLING_ADDRESS: 'Billing address',
    VALIDATE_CHECKOUT: 'Validate my order',
    DELIVERY: 'Home delivery',
    BILLING: 'Billing',
    COMMENTS: 'Comment',
    PAYMENT: 'Payment',
    TAXES: 'Taxes',
    DISCOUNT: 'Discount',
    TOTAL: 'Total w/ taxes',
    CART_EMPTY: 'Your cart is empty',
    CHOOSE_ADDRESS: 'Choose this address',
    SELECT_AS_DEFAULT_ADDRESS: 'Select as default address',
    DEFAULT_ADDRESS: 'Default address',
    OTHER_ADDRESS: 'Another address ?',
    SAME_ADDRESS: 'Same as delivery address',
    SELECT_BILLING_ADDRESS: 'Select billing address',
    SELECT_DELIVERY_ADDRESS: 'Select delivery address',
    TELEPHONE_CHECK: 'Verify your phone number',
    CHOOSE_MODULE: 'choose a delivery module',
    ADD_COMMENT: 'Add comment to your order',
    YOUR_COMMENT: 'Your comment',
    DELIVERY_AND_BELLING: 'delivery and billing',
    IGNORE: 'Ignore',
    NO_COMMENT: 'no comment',
    ACCEPT_CGV: 'I accept the Terms of Conditions',
    ACCEPT: 'I accept the',
    CGV: 'Terms of Conditions',
    NO_RELAY_POINT: 'No relay point available',
    ADD_TO_CART: 'Add to cart',
    ERROR_ADD_CART: 'Cannot add this product to your cart',
    PRODUCT_UNAVAILABLE: 'Unavailable product',
    HELLO: 'Hello',
    ACCOUNT: 'My Account',
    MY_ORDERS: 'My orders',
    MY_ADDRESSES: 'My addresses',
    DECONNECTION: 'Deconnection',
    LOGIN: 'Login',
    NEW_CUSTOMER: 'New customer',
    ALREADY_CUSTOMER: 'Already customer ?',
    CREATE_ACCOUNT: 'Create account',
    SUBMIT_CART: 'Submit cart',
    COUPON: 'Coupon',
    MANDATORY: 'MANDATORY',
    PASSWORD: 'Password',
    EMAIL: 'E-mail',
    QUANTITY: 'Quantity',
    PICKUP: 'Pickup delivery',
    FREE: 'Free',
    FORGET_PASSWORD: 'I forgot my password',
    LOADING: 'Loading',
    YOUR_ORDER: 'Your order',
    LABEL_LABEL: 'Label',
    CIVILITY_TITLE_LABEL: 'Title',
    FIRSTNAME_LABEL: 'Firstname',
    LASTNAME_LABEL: 'Name',
    COMPANY_LABEL: 'Company name',
    ADDRESS_1_LABEL: 'Address',
    ADDRESS_2_LABEL: 'Address next',
    ADDRESS_3_LABEL: 'Address end',
    ZIPCODE_LABEL: 'Zip code',
    CITY_LABEL: 'City',
    COUNTRY_LABEL: 'Country',
    CELLPHONE_LABEL: 'Cellphone',
    PHONE_LABEL: 'Phone',
    WARNING: 'Warning',
    NO_PAYMENT_MODE_AVAILABLE: 'No payment mode available',
    NO_DELIVERY_MODE_AVAILABLE: 'No delivery mode available',
    FIND_RELAY: 'Find a relay point',
    INCORRECT_ZIPCODE: 'Zipcode is incorrect',
    COUPON_ADDED: 'Added coupon',
    NOTHING_TO_PAY: 'Nothing to pay for this order',
    KEEP_SHOPPING: 'Keep shopping',
    UPDATE: 'Update',
    YOU_USING_COUPONS: 'You are using the following coupons:',
    YOU_USING_COUPON: 'You are using the following coupon:',
    CLICK_TO_CLEAR_COUPONS: 'Clear all coupons',
    YOUR_CART: 'Your cart',
    DELIVERY_MODE: 'Delivery mode',
    NO_PICKUP_POINT_LOADED: 'No pickup point loaded',
    CONFIRM_DELIVERY: 'Valider votre mode de livraison',
    CONFIRM_INVOICE: 'Valider votre adresse de facturation',
    CONFIRM_PAIEMENT: 'Finaliser votre commande',
    CONTACT_NUMBER: 'Votre numéro de contact',
    VALID_NUMBER_PHONE:
      'Ce numéro de contact est valide, cliquez sur "confirmer"',
    INVALID_NUMBER_PHONE: "Ce numéro de contact n'est pas valide",
    ERROR_DURING_UPDATE: 'erreur lors de la mise à jour',
    NUMBER_UPDATED: 'Numéro de contact mis à jour',
    CONFIRM: 'Confirmer',
    TRY_LATER: 'Veuillez réessayer plus tard',
    RECAP_ORDER: 'Récapitulatif de commande',
    NEXT: 'Next',
    NO_DELIVERY_MODULE_MESSAGE:
      "Aucun moyen de livraison n'est disponible pour l'instant. Veuillez réessayer plus tard ou nous contacter",
    SEARCH: 'Search',
    CLOSE_CART: 'Close cart',
    IN_STOCK: 'In stock',
    OUT_OF_STOCK: 'Out of stock',
    INVALID_COMBINATION: 'Invalid combination',
    INCLUDING_TAXES: 'Including taxes',
    UNIT_PRICE: 'Unit price',
    REQUIRED: 'required',
    MANDATORY_FIELDS: '* Required fields',
    VISUAL_OF_CART: 'Visual of the cart',
    PRODUCTS: 'Products',
    CATEGORIES: 'Categories',
    NO_MATCHING_CATEGORIES: 'no matching category',
    NO_MATCHING_PRODUCTS: 'no matching product'
  }
};

export default messages;
